using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class ColosseumWindFallDeckEntry : BaseTask
{
	public class ColosseumWindFallDeckEntryTaskParam : BaseParam
	{
		public string deck_no_list;
	}

	public ColosseumWindFallDeckEntry()
	{
		base.type = ApiType.Type.ColosseumWindFallDeckEntry;
	}

	public void SetParameter(List<DeckData> deckList)
	{
		ColosseumWindFallDeckEntryTaskParam colosseumWindFallDeckEntryTaskParam = new ColosseumWindFallDeckEntryTaskParam();
		List<int> list = new List<int>();
		for (int i = 0; i < deckList.Count; i++)
		{
			list.Add(deckList[i].GetDeckID());
		}
		colosseumWindFallDeckEntryTaskParam.deck_no_list = JsonMapper.ToJson(list);
		base.Params = colosseumWindFallDeckEntryTaskParam;
	}
}
